Debian Bug report logs - #542657
prompting due to modified conffiles which where not modified by the user

version graph

Package: openswan; Maintainer for openswan is Rene Mayrhofer <rmayr@debian.org>; Source for openswan is src:openswan.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Thu, 20 Aug 2009 17:33:12 UTC

Severity: serious

Tags: unreproducible

Found in version openswan/1:2.6.22+dfsg-1.1

Fixed in version openswan/1:2.6.23+dfsg-1

Done: Harald Jenny <harald@a-little-linux-box.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Rene Mayrhofer <rmayr@debian.org>:
Bug#542657; Package openswan. (Thu, 20 Aug 2009 17:33:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Rene Mayrhofer <rmayr@debian.org>. (Thu, 20 Aug 2009 17:33:21 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: prompting due to modified conffiles which where not modified by the user
Date: Thu, 20 Aug 2009 19:24:40 +0200
[Message part 1 (text/plain, inline)]
Package: openswan
Version: 1:2.6.22+dfsg-1.1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts piuparts.d.o

Hi, 

during a test with piuparts I noticed your package failed the piuparts upgrade 
test because dpkg detected a conffile as being modified and then prompted the 
user for an action. As there is no user input, this fails. But this is not 
the real problem, the real problem is that this prompt shows up in the first 
place, as there was nobody modifying this conffile at all, the package has 
just been installed and upgraded... 

This is a violation of policy 10.7.3, see 
http://www.debian.org/doc/debian-policy/ch-files.html#s10.7.3, which 
says "[These scripts handling conffiles] must not ask unnecessary questions 
(particularly during upgrades), and must otherwise be good citizens."

In http://lists.debian.org/debian-devel/2009/08/msg00675.html and followups it 
has been agreed that these bugs are to be filed with severity serious.

From the attached log (scroll to the bottom...):

  Setting up openswan (1:2.6.21+dfsg-2) ...
  Installing new version of config file /etc/init.d/ipsec ...
  
  Configuration file `/etc/ipsec.conf'
   ==> Modified (by you or by a script) since installation.
   ==> Package distributor has shipped an updated version.
     What would you like to do about it ?  Your options are:
      Y or I  : install the package maintainer's version
      N or O  : keep your currently-installed version
        D     : show the differences between the versions
        Z     : background this process to examine the situation
   The default action is to keep your current version.
  *** ipsec.conf (Y/I/N/O/D/Z) [default=N] ? dpkg: error processing openswan 
(--configure):
   EOF on stdin at conffile prompt
  Setting up gcc-4.3-base (4.3.3-14) ...
  Setting up libdb4.6 (4.6.21-14) ...
  Setting up libdes425-3 (1.6.dfsg.4~beta1-13) ...
  Setting up libgc1c2 (1:6.8-1.2) ...
  Setting up libkrb53 (1.6.dfsg.4~beta1-13) ...
  Errors were encountered while processing:
   openswan
  E: Sub-process /usr/bin/dpkg returned an error code (1)


regards,
	Holger
[openswan_1:2.6.22+dfsg-1.1.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Rene Mayrhofer <rmayr@debian.org>:
Bug#542657; Package openswan. (Sun, 14 Mar 2010 06:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theppitak Karoonboonyanan <thep@linux.thai.net>:
Extra info received and forwarded to list. Copy sent to Rene Mayrhofer <rmayr@debian.org>. (Sun, 14 Mar 2010 06:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 542657@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@linux.thai.net>
To: 542657@bugs.debian.org
Subject: Gone in 2.6.23+dfsg-1, fails another way
Date: Sun, 14 Mar 2010 13:12:20 +0700
Tested with 2.6.23+dfsg-1, the failure is gone,
but it fails another way:

0m15.1s DEBUG: Starting command: ['lsof', '-w', '+D', '/tmp/tmp7IDftN']
0m15.6s DEBUG: Command failed (status=1), but ignoring error: ['lsof',
'-w', '+D', '/tmp/tmp7IDftN']
0m16.0s ERROR: FAIL: Broken symlinks:
  /lib/init/rw/sendsigs.omit.d/rsyslog -> /var/run/rsyslogd.pid
0m16.0s DEBUG: Starting command: ['chroot', '/tmp/tmp7IDftN', 'umount', '/proc']
0m16.0s DEBUG: Command ok: ['chroot', '/tmp/tmp7IDftN', 'umount', '/proc']
0m16.4s DEBUG: Removed directory tree at /tmp/tmp7IDftN

Full log attached.

This, along with bug #542380 [1], I think it's a common problem with
rsyslog, not with the packages in question.

  [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=542380#10

Regards,
-- 
Theppitak Karoonboonyanan
http://linux.thai.net/~thep/




Added tag(s) pending. Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Mon, 19 Apr 2010 08:21:07 GMT) Full text and rfc822 format available.

Added tag(s) unreproducible. Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Mon, 19 Apr 2010 08:24:04 GMT) Full text and rfc822 format available.

Reply sent to Harald Jenny <harald@a-little-linux-box.at>:
You have taken responsibility. (Tue, 01 Jun 2010 06:36:03 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Tue, 01 Jun 2010 06:36:03 GMT) Full text and rfc822 format available.

Message #19 received at 542657-close@bugs.debian.org (full text, mbox):

From: Harald Jenny <harald@a-little-linux-box.at>
To: 542657-close@bugs.debian.org
Subject: Bug#542657: fixed in openswan 1:2.6.23+dfsg-1
Date: Tue, 1 Jun 2010 08:34:25 +0200
Source: openswan
Source-Version: 1:2.6.23+dfsg-1

We believe that the bug you reported is fixed in the latest version of
openswan, which is due to be installed in the Debian FTP archive:

openswan-dbg_2.6.26+dfsg-1_amd64.deb
  to main/o/openswan/openswan-dbg_2.6.26+dfsg-1_amd64.deb
openswan-doc_2.6.26+dfsg-1_all.deb
  to main/o/openswan/openswan-doc_2.6.26+dfsg-1_all.deb
openswan-modules-dkms_2.6.26+dfsg-1_all.deb
  to main/o/openswan/openswan-modules-dkms_2.6.26+dfsg-1_all.deb
openswan-modules-source_2.6.26+dfsg-1_all.deb
  to main/o/openswan/openswan-modules-source_2.6.26+dfsg-1_all.deb
openswan_2.6.26+dfsg-1.debian.tar.gz
  to main/o/openswan/openswan_2.6.26+dfsg-1.debian.tar.gz
openswan_2.6.26+dfsg-1.dsc
  to main/o/openswan/openswan_2.6.26+dfsg-1.dsc
openswan_2.6.26+dfsg-1_amd64.deb
  to main/o/openswan/openswan_2.6.26+dfsg-1_amd64.deb
openswan_2.6.26+dfsg.orig.tar.gz
  to main/o/openswan/openswan_2.6.26+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 542657@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Harald Jenny <harald@a-little-linux-box.at> (supplier of updated openswan package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 31 May 2010 23:11:12 +0200
Source: openswan
Binary: openswan openswan-dbg openswan-doc openswan-modules-source openswan-modules-dkms
Architecture: source all amd64
Version: 1:2.6.26+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Rene Mayrhofer <rmayr@debian.org>
Changed-By: Harald Jenny <harald@a-little-linux-box.at>
Description: 
 openswan   - Internet Key Exchange daemon
 openswan-dbg - Internet Key Exchange daemon - debugging symbols
 openswan-doc - Internet Key Exchange daemon - documentation
 openswan-modules-dkms - Internet Key Exchange daemon - DKMS source
 openswan-modules-source - Internet Key Exchange daemon - kernel module source
Closes: 389680 532348 575757 583334
Changes: 
 openswan (1:2.6.26+dfsg-1) unstable; urgency=low
 .
   [Harald Jenny]
   * New upstream release.
   * Removed some obsoleted patches.
   * Modified some patches for new upstream version.
   * Added preinstall script to remove old duplicate init script.
     Closes: #532348: openswan: installs dupliate init script /etc/init.d/setup
   * Added patch to fix segfault of showhostkey with encrypted key (Thanks
     to Kevin Locke for his patch).
     Closes: #575757: openswan: showhostkey segfault with 3DES-encrypted host
                      key
   * Changes debian/rules to only omit permission fixing where it's really
     necessary.
     Closes: #389680: openswan: wrong permissions of /etc/ipsec.d/examples
   * Removed orphaned conflict with freeswan (not shipped anymore).
 .
   [Rene Mayrhofer]
   * Openswan package now provides ike-server and conflicts with it.
     Closes: #583334: racoon and openswan: error when trying to install
                      together
Checksums-Sha1: 
 4b8e1644c24154c7fc2687c0752e6ccb5fb362f1 1477 openswan_2.6.26+dfsg-1.dsc
 ed63de800ff052ede0bebe6ce23c710c26db5551 11426481 openswan_2.6.26+dfsg.orig.tar.gz
 74de875c80767d0354bea9adec4bc10877fce095 129002 openswan_2.6.26+dfsg-1.debian.tar.gz
 0253e56d0a5de141d62341ff7ea18857f172e616 1769782 openswan-doc_2.6.26+dfsg-1_all.deb
 6e3b535ccce42fe97501927244fab963857c3db5 517262 openswan-modules-source_2.6.26+dfsg-1_all.deb
 a378c23b4c1563b75432407cfba2d68e8d08a03c 584990 openswan-modules-dkms_2.6.26+dfsg-1_all.deb
 3bb498af35af376a6b5f3f597deae299ec975c10 1084126 openswan_2.6.26+dfsg-1_amd64.deb
 77842e6a891114a1aee6566815b2339d0cbe5a76 1095310 openswan-dbg_2.6.26+dfsg-1_amd64.deb
Checksums-Sha256: 
 ac4b8a1832e075f752f434ec2bf5d239214a171b220c19b4308cac7d9bc589e6 1477 openswan_2.6.26+dfsg-1.dsc
 6afef3f83bae77e1e51ae334cb67339a58fd032d475002f06fb9f7d9d3bfd70b 11426481 openswan_2.6.26+dfsg.orig.tar.gz
 b9d37686803efcaf31d016ef94ecff2f7893f66e068b5713f1703cad3316d868 129002 openswan_2.6.26+dfsg-1.debian.tar.gz
 d0af2e9bfcef857f328f6c396abd2fbbd90caf8c977a3bb421f09d9915b26fcc 1769782 openswan-doc_2.6.26+dfsg-1_all.deb
 c375545d5651766795131f84ef1afca098c1ee3402becdafb78b42ca18ffa640 517262 openswan-modules-source_2.6.26+dfsg-1_all.deb
 a3df9a356b31f7b0b6dcd1d57c275d1eb489d19245be2fb782f2f75e90bfd604 584990 openswan-modules-dkms_2.6.26+dfsg-1_all.deb
 7f0b3d7bd2a73b9d1fffb7a444b45d98cdf2a9e416152ef77f1ace49de7425ea 1084126 openswan_2.6.26+dfsg-1_amd64.deb
 b3f3b4598be3aa67ada39873ba90fe73cfc0ff78f37f2efd83590d66ce314e93 1095310 openswan-dbg_2.6.26+dfsg-1_amd64.deb
Files: 
 36cc5df441b3920437fd2a4ae1a4d62e 1477 net optional openswan_2.6.26+dfsg-1.dsc
 e9293941658c2f655a0ad44ae4cb449f 11426481 net optional openswan_2.6.26+dfsg.orig.tar.gz
 75a77ef6de65ba21700ad279b7f8e714 129002 net optional openswan_2.6.26+dfsg-1.debian.tar.gz
 abf3aa47a1830bfe17a0272d9c5542ca 1769782 doc optional openswan-doc_2.6.26+dfsg-1_all.deb
 c0ce270f7e145cb3dc0f803777662aba 517262 kernel optional openswan-modules-source_2.6.26+dfsg-1_all.deb
 42bdd70a83e8dfab916b9c2f3497e84a 584990 kernel optional openswan-modules-dkms_2.6.26+dfsg-1_all.deb
 7f2a4fb16003d39a79236171b233c979 1084126 net optional openswan_2.6.26+dfsg-1_amd64.deb
 0a55a97b57e2b1e1e41e5e865613d916 1095310 debug extra openswan-dbg_2.6.26+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwEPkIACgkQq7SPDcPCS97oPACeMjnN+0m/kqioyCNe7RYR1Csr
uE8AoLKZi/h8GwxbVyOBRM+tn+SQxlqF
=swSV
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Rene Mayrhofer <rmayr@debian.org>:
Bug#542657; Package openswan. (Tue, 01 Jun 2010 07:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Rene Mayrhofer <rmayr@debian.org>. (Tue, 01 Jun 2010 07:30:03 GMT) Full text and rfc822 format available.

Message #24 received at 542657@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Harald Jenny <harald@a-little-linux-box.at>, 542657@bugs.debian.org
Cc: Rene Mayrhofer <rmayr@debian.org>
Subject: Re: Bug#542657: fixed in openswan 1:2.6.23+dfsg-1
Date: Tue, 1 Jun 2010 09:27:55 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Dienstag, 1. Juni 2010, Harald Jenny wrote:
> source Closes: 389680 532348 575757 583334
> Changes:
>  openswan (1:2.6.26+dfsg-1) unstable; urgency=low
>  .
>    [Harald Jenny]
>    * New upstream release.
>    * Removed some obsoleted patches.
>    * Modified some patches for new upstream version.
>    * Added preinstall script to remove old duplicate init script.
>      Closes: #532348: openswan: installs dupliate init script
> /etc/init.d/setup * Added patch to fix segfault of showhostkey with
> encrypted key (Thanks to Kevin Locke for his patch).
>      Closes: #575757: openswan: showhostkey segfault with 3DES-encrypted
> host key
>    * Changes debian/rules to only omit permission fixing where it's really
>      necessary.
>      Closes: #389680: openswan: wrong permissions of /etc/ipsec.d/examples
>    * Removed orphaned conflict with freeswan (not shipped anymore).
>  .
>    [Rene Mayrhofer]
>    * Openswan package now provides ike-server and conflicts with it.
>      Closes: #583334: racoon and openswan: error when trying to install
>                       together

I fail to see how this upload closed #542657 - please explain. (To the bug, 
not really to me :-)


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Rene Mayrhofer <rmayr@debian.org>:
Bug#542657; Package openswan. (Tue, 01 Jun 2010 08:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harald Jenny <harald@a-little-linux-box.at>:
Extra info received and forwarded to list. Copy sent to Rene Mayrhofer <rmayr@debian.org>. (Tue, 01 Jun 2010 08:36:03 GMT) Full text and rfc822 format available.

Message #29 received at 542657@bugs.debian.org (full text, mbox):

From: Harald Jenny <harald@a-little-linux-box.at>
To: Holger Levsen <holger@layer-acht.org>, 542657@bugs.debian.org
Subject: Re: Bug#542657: fixed in openswan 1:2.6.23+dfsg-1
Date: Tue, 1 Jun 2010 10:32:28 +0200
On Tue, Jun 01, 2010 at 09:27:55AM +0200, Holger Levsen wrote:
> Hi,
> 
> On Dienstag, 1. Juni 2010, Harald Jenny wrote:
> > source Closes: 389680 532348 575757 583334
> > Changes:
> >  openswan (1:2.6.26+dfsg-1) unstable; urgency=low
> >  .
> >    [Harald Jenny]
> >    * New upstream release.
> >    * Removed some obsoleted patches.
> >    * Modified some patches for new upstream version.
> >    * Added preinstall script to remove old duplicate init script.
> >      Closes: #532348: openswan: installs dupliate init script
> > /etc/init.d/setup * Added patch to fix segfault of showhostkey with
> > encrypted key (Thanks to Kevin Locke for his patch).
> >      Closes: #575757: openswan: showhostkey segfault with 3DES-encrypted
> > host key
> >    * Changes debian/rules to only omit permission fixing where it's really
> >      necessary.
> >      Closes: #389680: openswan: wrong permissions of /etc/ipsec.d/examples
> >    * Removed orphaned conflict with freeswan (not shipped anymore).
> >  .
> >    [Rene Mayrhofer]
> >    * Openswan package now provides ike-server and conflicts with it.
> >      Closes: #583334: racoon and openswan: error when trying to install
> >                       together
> 

Hi Holger

> I fail to see how this upload closed #542657 - please explain. (To the bug, 
> not really to me :-)

According to Theppitak Karoonboonyanan, the bug is gone in 2.6.23+dfsg-1, so I thought it was safe to close it, sorry I did not discuss it with you :-(.

 openswan  (1:2.6.23+dfsg-1) unstable; urgency=low

   * New upstream release.
     Closes: #551565: openswan: new version 2.6.23 is available -
 		     resolves problem with SA refcount
     Closes: #539121: NMU patch used for version 1:2.6.22+dfsg-1.1
     Closes: #532348: openswan: installs dupliate init script
 		     /etc/init.d/setup
     Closes: #542657: prompting due to modified conffiles which where
                      not modified by the user

> 
> 
> cheers,
> 	Holger

So is it ok to close it?

Wish you a nice day
Harald




Information forwarded to debian-bugs-dist@lists.debian.org, Rene Mayrhofer <rmayr@debian.org>:
Bug#542657; Package openswan. (Tue, 01 Jun 2010 08:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Rene Mayrhofer <rmayr@debian.org>. (Tue, 01 Jun 2010 08:39:06 GMT) Full text and rfc822 format available.

Message #34 received at 542657@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Harald Jenny <harald@a-little-linux-box.at>
Cc: 542657@bugs.debian.org
Subject: Re: Bug#542657: fixed in openswan 1:2.6.23+dfsg-1
Date: Tue, 1 Jun 2010 10:37:24 +0200
[Message part 1 (text/plain, inline)]
Hi Harald,

On Dienstag, 1. Juni 2010, Harald Jenny wrote:
> According to Theppitak Karoonboonyanan, the bug is gone in 2.6.23+dfsg-1,
> so I thought it was safe to close it, sorry I did not discuss it with you
> :-(.

Then you should please close it with a versioned close, ie mail to 
542657-done@bugs.debian.org with "version: 2.6.23+dfsg-1" as the first line.

> So is it ok to close it?

If the bug is gone, its correct to close it. Just do it versioned :-)


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Message #35 received at 542657-close@bugs.debian.org (full text, mbox):

From: Harald Jenny <harald@a-little-linux-box.at>
To: Holger Levsen <holger@layer-acht.org>, 542657-close@bugs.debian.org
Subject: Re: Bug#542657: fixed in openswan 1:2.6.23+dfsg-1
Date: Tue, 1 Jun 2010 10:53:19 +0200
On Tue, Jun 01, 2010 at 10:37:24AM +0200, Holger Levsen wrote:
> Hi Harald,

Hi Holger

> 
> On Dienstag, 1. Juni 2010, Harald Jenny wrote:
> > According to Theppitak Karoonboonyanan, the bug is gone in 2.6.23+dfsg-1,
> > so I thought it was safe to close it, sorry I did not discuss it with you
> > :-(.
> 
> Then you should please close it with a versioned close, ie mail to 
> 542657-done@bugs.debian.org with "version: 2.6.23+dfsg-1" as the first line.

From: Harald Jenny <harald@a-little-linux-box.at>
To: 542657-close@bugs.debian.org
Subject: Bug#542657: fixed in openswan 1:2.6.23+dfsg-1
Date: Tue, 1 Jun 2010 08:34:25 +0200

Source: openswan
Source-Version: 1:2.6.23+dfsg-1

Isn't this correct/sufficiant?

> 
> > So is it ok to close it?
> 
> If the bug is gone, its correct to close it. Just do it versioned :-)

Will close it now maybe you can explain me my error in private :-).

> 
> 
> cheers,
> 	Holger

Wish you a nice day
Harald




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 30 Jun 2010 07:35:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:02:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.